QwtPlotSvgItem Class Reference

A plot item, which displays data in Scalable Vector Graphics (SVG) format. More...

`#include <qwt_plot_svgitem.h>`

Inheritance diagram for QwtPlotSvgItem:

## Public Member Functions

| QwtPlotSvgItem (const QString &title=QString())
| Constructor. More...
| QwtPlotSvgItem (const QwtText &title)
| Constructor. More...
virtual | ~QwtPlotSvgItem ()
| Destructor.
bool | loadFile (const QRectF &, const QString &fileName)
bool | loadData (const QRectF &, const QByteArray &)
Public Member Functions inherited from QwtPlotGraphicItem
| QwtPlotGraphicItem (const QString &title=QString())
| Constructor. More...
| QwtPlotGraphicItem (const QwtText &title)
| Constructor. More...
virtual | ~QwtPlotGraphicItem ()
| Destructor.
void | setGraphic (const QRectF &rect, const QwtGraphic &)
QwtGraphic | graphic () const
virtual QRectF | boundingRect () const override
| Bounding rectangle of the item.
virtual void | draw (QPainter *, const QwtScaleMap &xMap, const QwtScaleMap &yMap, const QRectF &canvasRect) const override
virtual int | rtti () const override
Public Member Functions inherited from QwtPlotItem
| QwtPlotItem ()
| QwtPlotItem (const QString &title)
| QwtPlotItem (const QwtText &title)
virtual | ~QwtPlotItem ()
| Destroy the QwtPlotItem.
void | attach (QwtPlot *plot)
| Attach the item to a plot. More...
void | detach ()
| This method detaches a QwtPlotItem from any QwtPlot it has been associated with. More...
QwtPlot * | plot () const
| Return attached plot.
void | setTitle (const QString &title)
void | setTitle (const QwtText &title)
const QwtText & | title () const
void | setItemAttribute (ItemAttribute, bool on=true)
bool | testItemAttribute (ItemAttribute) const
void | setItemInterest (ItemInterest, bool on=true)
bool | testItemInterest (ItemInterest) const
void | setRenderHint (RenderHint, bool on=true)
bool | testRenderHint (RenderHint) const
void | setRenderThreadCount (uint numThreads)
uint | renderThreadCount () const
void | setLegendIconSize (const QSize &)
QSize | legendIconSize () const
double | z () const
void | setZ (double z)
| Set the z value. More...
void | show ()
| Show the item.
void | hide ()
| Hide the item.
virtual void | setVisible (bool)
bool | isVisible () const
void | setAxes (QwtAxisId xAxis, QwtAxisId yAxis)
void | setXAxis (QwtAxisId)
QwtAxisId | xAxis () const
| Return xAxis.
void | setYAxis (QwtAxisId)
QwtAxisId | yAxis () const
| Return yAxis.
virtual void | itemChanged ()
virtual void | legendChanged ()
virtual void | getCanvasMarginHint (const QwtScaleMap &xMap, const QwtScaleMap &yMap, const QRectF &canvasRect, double &left, double &top, double &right, double &bottom) const
| Calculate a hint for the canvas margin. More...
virtual void | updateScaleDiv (const QwtScaleDiv &, const QwtScaleDiv &)
| Update the item to changes of the axes scale division. More...
virtual void | updateLegend (const QwtPlotItem *, const QList< QwtLegendData > &)
| Update the item to changes of the legend info. More...
QRectF | scaleRect (const QwtScaleMap &, const QwtScaleMap &) const
| Calculate the bounding scale rectangle of 2 maps. More...
QRectF | paintRect (const QwtScaleMap &, const QwtScaleMap &) const
| Calculate the bounding paint rectangle of 2 maps. More...
virtual QList< QwtLegendData > | legendData () const
| Return all information, that is needed to represent the item on the legend. More...
virtual QwtGraphic | legendIcon (int index, const QSizeF &) const

## Additional Inherited Members

Public Types inherited from QwtPlotItem

enum

RttiValues {
Rtti_PlotItem = 0 , Rtti_PlotGrid , Rtti_PlotScale , Rtti_PlotLegend ,
Rtti_PlotMarker , Rtti_PlotCurve , Rtti_PlotSpectroCurve , Rtti_PlotIntervalCurve ,
Rtti_PlotHistogram , Rtti_PlotSpectrogram , Rtti_PlotGraphic , Rtti_PlotTradingCurve ,
Rtti_PlotBarChart , Rtti_PlotMultiBarChart , Rtti_PlotShape , Rtti_PlotTextLabel ,
Rtti_PlotZone , Rtti_PlotVectorField , Rtti_PlotUserItem = 1000
}

| Runtime type information. More...
enum | ItemAttribute { Legend = 0x01 , AutoScale = 0x02 , Margins = 0x04 }
| Plot Item Attributes. More...
enum | ItemInterest { ScaleInterest = 0x01 , LegendInterest = 0x02 }
| Plot Item Interests. More...
enum | RenderHint { RenderAntialiased = 0x1 }
| Render hints. More...
typedef QFlags< ItemAttribute > | ItemAttributes
typedef QFlags< ItemInterest > | ItemInterests
typedef QFlags< RenderHint > | RenderHints
Protected Member Functions inherited from QwtPlotItem
QwtGraphic | defaultIcon (const QBrush &, const QSizeF &) const
| Return a default icon from a brush. More...

## Detailed Description

A plot item, which displays data in Scalable Vector Graphics (SVG) format.

SVG images are often used to display maps

QwtPlotSvgItem is only a small convenience wrapper class for QwtPlotGraphicItem, that creates a QwtGraphic from SVG data.

Definition at line 28 of file qwt_plot_svgitem.h.

## Constructor & Destructor Documentation

## QwtPlotSvgItem() [1/2]

QwtPlotSvgItem::QwtPlotSvgItem | ( | const QString & | title = `QString()` | ) |

explicit

Constructor.

Parameters

  title | Title

Definition at line 20 of file qwt_plot_svgitem.cpp.

## QwtPlotSvgItem() [2/2]

QwtPlotSvgItem::QwtPlotSvgItem | ( | const QwtText & | title | ) |

explicit

Constructor.

Parameters

  title | Title

Definition at line 29 of file qwt_plot_svgitem.cpp.

## Member Function Documentation

## loadData()

bool QwtPlotSvgItem::loadData | ( | const QRectF & | rect,
|  | const QByteArray & | data
| ) |  |

Load SVG data

Parameters

  rect | Bounding rectangle
  data | in SVG format

Returns
  true, if the SVG data could be loaded

Definition at line 74 of file qwt_plot_svgitem.cpp.

## loadFile()

bool QwtPlotSvgItem::loadFile | ( | const QRectF & | rect,
|  | const QString & | fileName
| ) |  |

Load a SVG file

Parameters

  rect | Bounding rectangle
  fileName | SVG file name

Returns
  true, if the SVG file could be loaded

Definition at line 47 of file qwt_plot_svgitem.cpp.